%define brand fedora
%define RHEL6 %(test "%{?dist}" == ".el6" && echo 1 || echo 0)

Name:		publican-%{brand}
Summary:	Publican documentation template files for %{brand}
Version:	2.0
Release:	alt1_7
License:	CC-BY-SA
Group:		Development/C

# Limited to these arches on RHEL 6 due to PDF + Java limitations
%if %{RHEL6}
ExclusiveArch:   i686 x86_64
%else
BuildArch:   noarch
%endif
Source:		https://fedorahosted.org/releases/publican/%{name}-%{version}.tgz
Requires:	publican >= 2.5
BuildRequires:	publican >= 2.5
URL:		https://publican.fedorahosted.org
Source44: import.info

%description
This package provides common files and templates needed to build documentation
for %{brand} with publican.

%prep
%setup -q

%build
publican build --formats=xml --langs=all --publish

%install
mkdir -p -m755 $RPM_BUILD_ROOT%{_datadir}/publican/Common_Content
publican install_brand --path=$RPM_BUILD_ROOT%{_datadir}/publican/Common_Content

%files
%doc README
%doc COPYING
%{_datadir}/publican/Common_Content/%{brand}

%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 2.0-alt1_7
- initial fc import

